The state data keys and values on which the Traces will be filtered on
Show child attributes
Response
200 - application/json
The trace ids of the given workflow id and state data
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Stratumn","colors":{"primary":"#4B35D2","light":"#c4ccff","dark":"#3a2aa9"},"favicon":"https://mintcdn.com/stratumn/_7ghGbILOYM4ffi0/favicon.svg?fit=max\u0026auto=format\u0026n=_7ghGbILOYM4ffi0\u0026q=85\u0026s=98830f119947145b0bb33320436bd758","logo":{"light":"https://mintcdn.com/stratumn/ZLZL0fVzWovButfa/logo/light.svg?fit=max\u0026auto=format\u0026n=ZLZL0fVzWovButfa\u0026q=85\u0026s=da95401bd6fe81b834b92c5fb0bf87e3","dark":"https://mintcdn.com/stratumn/ZLZL0fVzWovButfa/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZLZL0fVzWovButfa\u0026q=85\u0026s=0508328b6874ccf69c5cb1508b83ee62"},"api":{"openapi":"api-reference/open-api-v1.json"},"appearance":{"default":"dark","strict":false},"background":{"decoration":"windows"},"navbar":{"links":[{"label":"Support","href":"mailto:info@stratumn.com"}],"primary":{"type":"button","label":"Go to Trace","href":"https://trace.stratumn.com"}},"footer":{"socials":{"github":"https://github.com/stratumn","website":"https://trace.stratumn.com"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"stratumn","hasAudioNarration":false,"actualSubdomain":"stratumn","customDomains":["docs.stratumn.com"],"gitSource":{"type":"github","owner":"stratumn","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6adf3040fb05475c270ae86d","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"Studio","count":36},{"language":"default","tag":"Configuration","count":26},{"language":"default","tag":"Workflow configuration","count":26},{"language":"default","tag":"API Reference","count":20},{"language":"default","tag":"Trace","count":13},{"language":"default","tag":"Action","count":8},{"language":"default","tag":"BPMN","count":6},{"language":"default","tag":"Databases","count":6},{"language":"default","tag":"Table","count":5},{"language":"default","tag":"Getting started","count":4}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v1/trace/search-traces","slug":"/api-reference/v1/trace/search-traces","pageMetadata":{"title":"Search traces","description":"Retrieves the trace ids of a given workflow id and state data","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json post /trace/search/{workflowId}","href":"/api-reference/v1/trace/search-traces","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves the trace ids of a given workflow id and state data\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Search traces","description":"Retrieves the trace ids of a given workflow id and state data","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json post /trace/search/{workflowId}","href":"/api-reference/v1/trace/search-traces","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Retrieves the trace ids of a given workflow id and state data","operationId":"TraceController_getTraceIdsByWorkflowIdAndStateData","parameters":["aa21708f-ded9-45a9-8d84-91f526b6a090"],"requestBody":"67c72fcd-cf95-4907-820f-e53b4011c7b8","responses":{"200":"99541db0-1e8c-4fc0-b595-9096c5e16ad2"},"security":["240cd2bb-b804-47f5-a4cf-49c76028249d"],"summary":"Search traces","tags":["Trace"],"method":"post","type":"path","servers":["b6fc5e32-7978-439c-b7ae-c66003b72e02","668c9895-6bb1-406c-9ffb-b6cba5260a0a","e9903e99-ec60-4ed3-aecf-876afde06fd8","700513cf-e717-4480-a0d2-365aaba94355","932287e9-cf87-45f0-a5fa-acb559032c02"],"path":"/trace/search/{workflowId}","baseUrlOptions":["http://api.local.stratumn.com:3000","https://api.stratumn.com","https://api.us.stratumn.com","https://api.preprod.stratumn.com","https://api.preprod.us.stratumn.com"],"title":"Search traces","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"aa21708f-ded9-45a9-8d84-91f526b6a090":{"name":"workflowId","required":true,"in":"path","description":"The UUID of the workflow","schema":{"type":"string","isRequired":true,"description":"The UUID of the workflow","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filters":{"description":"The state data keys and values on which the Traces will be filtered on","type":"object","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"filters.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"filters.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"filters.additionalProperties.oneOf.2","typeLabel":"boolean"}],"uniqueKey":"filters.additionalProperties","typeLabel":"string | number | boolean"},"uniqueKey":"filters","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"filters":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"99541db0-1e8c-4fc0-b595-9096c5e16ad2":{"description":"The trace ids of the given workflow id and state data","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"examples":{"Example":{"title":"Example","value":["\u003cstring>"]}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"240cd2bb-b804-47f5-a4cf-49c76028249d":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[]}}},"servers":{"b6fc5e32-7978-439c-b7ae-c66003b72e02":{"url":"http://api.local.stratumn.com:3000","description":"Local development server"},"668c9895-6bb1-406c-9ffb-b6cba5260a0a":{"url":"https://api.stratumn.com","description":"Stratumn Production Server"},"e9903e99-ec60-4ed3-aecf-876afde06fd8":{"url":"https://api.us.stratumn.com","description":"Stratumn US Production Server"},"700513cf-e717-4480-a0d2-365aaba94355":{"url":"https://api.preprod.stratumn.com","description":"Stratumn Preprod Server"},"932287e9-cf87-45f0-a5fa-acb559032c02":{"url":"https://api.preprod.us.stratumn.com","description":"Stratumn US Preprod Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"api-reference/open-api-v1.json"},"subdomain":"stratumn","siteName":"Stratumn","title":"Search traces - Stratumn","navMaps":{"firstHrefInVersion":{"v2":{"href":"/api-reference/v2/trace/create-a-new-trace","matchLevel":2},"v1":{"href":"/api-reference/v1/trace/search-traces","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2025-09-02T09:11:55.622Z","originalFileLocation":"api-reference/v1/trace/search-traces.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves the trace ids of a given workflow id and state data\">\u003cmeta data-mint-head name=\"application-name\" content=\"Stratumn\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Search traces - Stratumn\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves the trace ids of a given workflow id and state data\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Stratumn\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.stratumn.com/api-reference/v1/trace/search-traces\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://stratumn.mintlify.site/_mintlify/api/og/v2?division=Trace\u0026amp;title=Search+traces\u0026amp;description=Retrieves+the+trace+ids+of+a+given+workflow+id+and+state+data\u0026amp;theme=4f09d40c83f861311aab72be\u0026amp;signature=25760307eb7b6d9dc60e52846a758494e91cdaf52cb729ab6a11b88d3e999d08\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Search traces - Stratumn\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves the trace ids of a given workflow id and state data\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://stratumn.mintlify.site/_mintlify/api/og/v2?division=Trace\u0026amp;title=Search+traces\u0026amp;description=Retrieves+the+trace+ids+of+a+given+workflow+id+and+state+data\u0026amp;theme=4f09d40c83f861311aab72be\u0026amp;signature=25760307eb7b6d9dc60e52846a758494e91cdaf52cb729ab6a11b88d3e999d08\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/stratumn/KR8-7fDOi5wEV22S/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Stratumn\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4B35D2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.stratumn.com/api-reference/v1/trace/search-traces\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v1/trace/search-traces.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.stratumn.com/#organization\",\"name\":\"Stratumn\",\"url\":\"https://docs.stratumn.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/stratumn/ZLZL0fVzWovButfa/logo/light.svg?fit=max\u0026auto=format\u0026n=ZLZL0fVzWovButfa\u0026q=85\u0026s=da95401bd6fe81b834b92c5fb0bf87e3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.stratumn.com#website\",\"name\":\"Stratumn\",\"url\":\"https://docs.stratumn.com\",\"publisher\":{\"@id\":\"https://docs.stratumn.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces#webpage\",\"url\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces\",\"name\":\"Search traces\",\"description\":\"Retrieves the trace ids of a given workflow id and state data\",\"dateModified\":\"2025-09-02T09:11:55.622Z\",\"isPartOf\":{\"@id\":\"https://docs.stratumn.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Trace\",\"item\":\"https://docs.stratumn.com/api-reference/v1/trace/retrieve-trace-state\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Search traces\",\"item\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces#apireference\",\"headline\":\"Search traces\",\"name\":\"Search traces\",\"description\":\"Retrieves the trace ids of a given workflow id and state data\",\"url\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces\",\"mainEntityOfPage\":{\"@id\":\"https://docs.stratumn.com/api-reference/v1/trace/search-traces#webpage\"},\"dateModified\":\"2025-09-02T09:11:55.622Z\",\"publisher\":{\"@id\":\"https://docs.stratumn.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.stratumn.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Stratumn\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Stratumn\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/v1/trace/search-traces.md","siteName":"Stratumn","nav":{"global":null,"versions":[{"version":"v2","pages":[{"title":"v2","href":"/api-reference/v2/trace/create-a-new-trace"}]},{"version":"v1","anchors":[{"anchor":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/api-reference/introduction"}]},{"anchor":"API Reference","icon":"square-terminal","groups":[{"group":"Trace","pages":[{"title":"Retrieve trace state","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json get /trace/{traceId}/state","href":"/api-reference/v1/trace/retrieve-trace-state"},{"title":"Retrieve trace details","description":"Retrieves the details of a given trace by id","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json post /trace/{traceId}/details","href":"/api-reference/v1/trace/retrieve-trace-details"},{"title":"Search traces","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json post /trace/search/{workflowId}","href":"/api-reference/v1/trace/search-traces"},{"title":"Create a new trace","description":"Creates a new trace","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json post /trace","href":"/api-reference/v1/trace/create-a-new-trace"},{"title":"New action","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json post /trace/{traceId}/link","href":"/api-reference/v1/trace/new-action"},{"title":"Download a file","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json get /trace/{traceId}/file/{digest}","href":"/api-reference/v1/trace/download-a-file"},{"title":"Download files","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json get /trace/{traceId}/files","href":"/api-reference/v1/trace/download-files"}]},{"group":"Login","pages":[{"title":"Login using a private key","deprecated":true,"version":null,"openapi":"/api-reference/open-api-v1.json post /login/privateKey","href":"/api-reference/v1/login/login-using-a-private-key"},{"title":"Login using email","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json post /login/credential","href":"/api-reference/v1/login/login-using-email"}]},{"group":"Workflow","pages":[{"title":"List org's workflows","deprecated":null,"version":null,"openapi":"/api-reference/open-api-v1.json get /workflow/orgName/{orgName}","href":"/api-reference/v1/workflow/list-orgs-workflows"}]}]},{"anchor":"Studio","icon":"brush","pages":[{"title":"Studio","href":"/studio/introduction"}]},{"anchor":"Configuration","icon":"rocket","pages":[{"title":"Configuration","href":"/configuration/introduction"}]},{"anchor":"Errors","icon":"triangle-exclamation","pages":[{"title":"Errors","href":"/errors/trace-errors"}]}]}]},"basePath":"","title":"Search traces - Stratumn","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}